package com.quant.entity;

/**
 * 比率
 * CommissionRate entity. @author MyEclipse Persistence Tools
 */

public class CommissionRate implements java.io.Serializable {

	// Fields

	/**
	 * 
	 */
	private static final long serialVersionUID = -5735351918715076004L;
	private Integer id;
	private Integer productId;
	private Integer amountStart;
	private Integer amountEnd;
	private Long commissionRate;
	private String description;

	// Constructors

	/** default constructor */
	public CommissionRate() {
	}

	/** full constructor */
	public CommissionRate(Integer productId, Integer amountStart,
			Integer amountEnd, Long commissionRate, String description) {
		this.productId = productId;
		this.amountStart = amountStart;
		this.amountEnd = amountEnd;
		this.commissionRate = commissionRate;
		this.description = description;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getProductId() {
		return this.productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public Integer getAmountStart() {
		return this.amountStart;
	}

	public void setAmountStart(Integer amountStart) {
		this.amountStart = amountStart;
	}

	public Integer getAmountEnd() {
		return this.amountEnd;
	}

	public void setAmountEnd(Integer amountEnd) {
		this.amountEnd = amountEnd;
	}

	public Long getCommissionRate() {
		return this.commissionRate;
	}

	public void setCommissionRate(Long commissionRate) {
		this.commissionRate = commissionRate;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

}